Description

Cloned from https://bugzilla.redhat.com/show_bug.cgi?id=1308860

Description of problem:

User is able to set the default value for parameter even if the 'override' flag is not set for the parameter, which is not expected.

Note: This issue is only observed in CLI and not in UI.

Version-Release number of selected component (if applicable):

foreman-1.11.0-0.develop.201601251557git59dc77b.el6.noarch

How reproducible:

Always

Steps to Reproduce:

1. Attempt to set default value for parameter which override flag is set to False.

Actual results:

Default Value successfully updated and no error raised.

Expected results:

1. Error/Info should be raised to set the 'override' flag to True first.

2. Default Value should not be updated.

Additional info:

Related issues:

Related to Hammer CLI - Bug #13832: Both Matcher Value and puppet-default val... Closed 02/22/2016

Related to Foreman - Bug #15308: editing puppet class parameter with arrays a... Closed 06/06/2016

Associated revisions

Revision 2a08e8c1 - 03/28/2016 11:07 AM - Ori Rabin

Fixes #13727 - Error raised when setting default_value when override is set to false

History

#1 - 02/16/2016 06:07 AM - Dominic Cleal

- Subject changed from CLI Error not raised while setting default value when 'Override' set to False for parameter. to Error not raised while setting

default value when 'Override' set to False for parameter.

- Category set to Parameters

Applies to the API.

#2 - 02/17/2016 03:42 AM - Ori Rabin

- Status changed from New to Assigned

- Assignee set to Ori Rabin
#3 - 02/17/2016 02:42 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3204 added

#4 - 02/22/2016 07:54 AM - Dominic Cleal

- Related to Bug #13832: Both Matcher Value and puppet-default value can be set at a time in sc-param added

#5 - 03/28/2016 12:01 PM - Ori Rabin

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 2a08e8c1deac40c26932dc80ca53e89bfe9e493b.

#6 - 03/29/2016 04:09 AM - Dominic Cleal

- translation missing: en.field_release set to 136

#7 - 06/06/2016 10:08 AM - Dominic Cleal

- Related to Bug #15308: editing puppet class parameter with arrays and hashes fails when not overriding added
